Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: broken xfce in gameover edition  (Read 656 times)

Offline rusty1247

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
broken xfce in gameover edition
« on: October 27, 2019, 02:18:48 am »
Went to boot to desktop and its a no go so into command line I go. Following some other article I use "sudo service xfce stop"
And in return am told
"Failed to stop xfce.service: Unit xfce.service not loaded"
So I enter
"sudo service xfce start"
And get back
"Failed to start xfce.service: Unit xfce was not found"

Help me because I am NOT going to Windows 10 come Windows 7 EOL... I'll go back to console before that.

Offline rusty1247

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
Re: broken xfce in gameover edition
« Reply #1 on: October 27, 2019, 02:23:33 am »
Update I tried
"apt-get install xfce" and this is what it says
"E: Could not open file (/var/lib/dpkg/lock-frontend) - open (13 Permission denied)
E: Unable to acquire the dpkg frontend lock (var/lib/dpkg/lock-frontend), are you root?"

Why am I being denied permission to install this and how do I fix it?

Offline rollinbeaver

  • Newbie
  • *
  • Posts: 30
  • Karma: +0/-0
Re: broken xfce in gameover edition
« Reply #2 on: October 27, 2019, 11:34:03 am »
Hi,

thats because in a default installation, only the user root and those allowed to "sudo" can install packages. Normally, the latter includes the user that was created while installing Sparkylinux.

Kindly read http://sparkylinux.org/wiki/doku.php/install_package as to how to install something from a terminal command line.

You could also use Synaptic to install with a windowed program instead.

In both cases, you will be asked to type in your password to prove your entitlement to install.

Anyway, the package to install is probably "xfce4", as its the Metapackage for all XFCE v4 packages.
--
best regards, ever rollinbeaver